facing error in perl gd installation

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

I tried installing perl Gd module ,I am getting error  
ld fatal:unrecognized option '-E'
My perl version is 5.12.3 and os is solaris 10
during dynamic linking part because of this my programs are not detecting GD .so
please help me.I tried diffrent versions of GD but all the versions are giving
same error.

Site Timeline